summaryrefslogtreecommitdiff
path: root/arch/s390/self-hosted-builder/actions-runner-rebuild.sh
diff options
context:
space:
mode:
Diffstat (limited to 'arch/s390/self-hosted-builder/actions-runner-rebuild.sh')
-rw-r--r--arch/s390/self-hosted-builder/actions-runner-rebuild.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/arch/s390/self-hosted-builder/actions-runner-rebuild.sh b/arch/s390/self-hosted-builder/actions-runner-rebuild.sh
index 0fcd67d4ec..7fded31785 100644
--- a/arch/s390/self-hosted-builder/actions-runner-rebuild.sh
+++ b/arch/s390/self-hosted-builder/actions-runner-rebuild.sh
@@ -24,6 +24,9 @@ podman container rm gaplib-actions-runner || true
# Delete old image
podman image rm localhost/zlib-ng/actions-runner || true
+# Prune all unused podman data
+podman system prune -f || true
+
# Build new image
podman build --squash -f actions-runner.Dockerfile --tag zlib-ng/actions-runner . 2>&1 | tee /var/log/actions-runner-build.log